# Visualization
TKV3d
Prs3d

# Prs3d_IsoAspect Class Reference

A framework to define the display attributes of isoparameters.
This framework can be used to modify the default
setting for isoparameters in AIS_Drawer.
.

`#include <Prs3d_IsoAspect.hxx>`

Inheritance diagram for Prs3d_IsoAspect:

[legend]

## Public Member Functions

Standard_EXPORT | Prs3d_IsoAspect (const Quantity_NameOfColor aColor, const Aspect_TypeOfLine aType, const Standard_Real aWidth, const Standard_Integer aNumber)
| Constructs a framework to define display attributes of isoparameters. These include: - the color attribute aColor - the type of line aType - the width value aWidth - aNumber, the number of isoparameters to be displayed. .
Standard_EXPORT | Prs3d_IsoAspect (const Quantity_Color &aColor, const Aspect_TypeOfLine aType, const Standard_Real aWidth, const Standard_Integer aNumber)
Standard_EXPORT void | SetNumber (const Standard_Integer aNumber)
| defines the number of U or V isoparametric curves to be drawn for a single face. Default value: 10
Standard_EXPORT Standard_Integer | Number () const
| returns the number of U or V isoparametric curves drawn for a single face.
virtual Standard_EXPORT void | Print (Standard_OStream &s) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myNumber

## Constructor & Destructor Documentation

Standard_EXPORT Prs3d_IsoAspect::Prs3d_IsoAspect | ( | const Quantity_NameOfColor | aColor,
|  | const Aspect_TypeOfLine | aType,
|  | const Standard_Real | aWidth,
|  | const Standard_Integer | aNumber
| ) |

Standard_EXPORT Prs3d_IsoAspect::Prs3d_IsoAspect | ( | const Quantity_Color & | aColor,
|  | const Aspect_TypeOfLine | aType,
|  | const Standard_Real | aWidth,
|  | const Standard_Integer | aNumber
| ) |

## Member Function Documentation

Standard_EXPORT const Prs3d_IsoAspect::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs3d_LineAspect.

Standard_EXPORT Standard_Integer Prs3d_IsoAspect::Number | ( |  | ) | const

virtual Standard_EXPORT void Prs3d_IsoAspect::Print | ( | Standard_OStream & | s | ) | const`[virtual]`

| Reimplemented from Prs3d_LineAspect.

Standard_EXPORT void Prs3d_IsoAspect::SetNumber | ( | const Standard_Integer | aNumber | ) |

## Field Documentation

Standard_Integer Prs3d_IsoAspect::myNumber `[private]`

The documentation for this class was generated from the following file:

- Prs3d_IsoAspect.hxx